<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage  Charity Give
 * @since  Charity Give 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'charity_give_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'charity-give' ),
		'priority'   			=> 900,
		'panel'      			=> 'charity_give_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'charity_give_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'charity_give_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'charity_give_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'charity-give' ),
		'section'    			=> 'charity_give_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'charity_give_theme_options[copyright_text]',
		array(
			'selector'            => '.site-info .wrapper',
			'settings'            => 'charity_give_theme_options[copyright_text]',
			'container_inclusive' => false,
			'fallback_refresh'    => true,
			'render_callback'     => 'charity_give_copyright_text_partial',
		)
	);
}
        
// scroll top visible
$wp_customize->add_setting( 'charity_give_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'charity_give_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  charity_give_Switch_Control( $wp_customize,
	'charity_give_theme_options[scroll_top_visible]',
		array(
			'label'      		=> esc_html__( 'Display Scroll Top Button', 'charity-give' ),
			'section'    		=> 'charity_give_section_footer',
			'on_off_label' 		=> charity_give_switch_options(),
		)
	)
);
